> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yourflexpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Simulate mock webhook

> Testing endpoint for mock webhook events



## OpenAPI

````yaml /openapi/miscellaneous.openapi.json post /webhook/mock
openapi: 3.0.3
info:
  title: Miscellaneous API
  version: 1.0.0
  description: OpenAPI spec for mock webhook payload testing.
servers:
  - url: https://staging-api.yourflexpay.com/v2
    description: Staging
  - url: https://sandbox-api.yourflexpay.com/v2
    description: Sandbox
  - url: https://api.yourflexpay.com/v2
    description: Live
security: []
tags:
  - name: Mock Webhook
  - name: Banking Utility
paths:
  /webhook/mock:
    post:
      tags:
        - Mock Webhook
      summary: Simulate mock webhook
      description: Testing endpoint for mock webhook events
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MockWebhookEvent'
            examples:
              staticVirtualAccountTransfer:
                summary: Static virtual account transfer
                value:
                  event: static.virtual.account.transfer
                  data:
                    amount: 5000
                    sender:
                      originatorBank: KUDA MICROFINANCE BANK
                      originatorName: ADEDAYO MATTHEWS
                      originatorAccountNumber: '1100123765'
                    recipient: '2288591135'
                    reference: 672fb3a575602111591731179423680
                    sessionId: '000000000000000000000000000080'
                    status: Successful
              dynamicVirtualAccountTransfer:
                summary: Dynamic virtual account transfer
                value:
                  event: dynamic.virtual.account.transfer
                  data:
                    amount: 2000
                    sender:
                      originatorBank: KUDA MICROFINANCE BANK
                      originatorName: ADEDAYO MATTHEWS
                      originatorAccountNumber: '1100123765'
                    recipient: '7059646004'
                    reference: QR-60b2e88e-4d8a-4ffe-bb1d-e73e7895f55a
                    sessionId: '000000000000000000000000000084'
                    status: Successful
      responses:
        '200':
          description: Webhook accepted
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
components:
  schemas:
    MockWebhookEvent:
      oneOf:
        - $ref: '#/components/schemas/StaticVirtualAccountTransferWebhook'
        - $ref: '#/components/schemas/DynamicVirtualAccountTransferWebhook'
      discriminator:
        propertyName: event
        mapping:
          static.virtual.account.transfer:
            $ref: '#/components/schemas/StaticVirtualAccountTransferWebhook'
          dynamic.virtual.account.transfer:
            $ref: '#/components/schemas/DynamicVirtualAccountTransferWebhook'
    StaticVirtualAccountTransferWebhook:
      type: object
      required:
        - event
        - data
      properties:
        event:
          type: string
          enum:
            - static.virtual.account.transfer
        data:
          $ref: '#/components/schemas/VirtualAccountTransferData'
    DynamicVirtualAccountTransferWebhook:
      type: object
      required:
        - event
        - data
      properties:
        event:
          type: string
          enum:
            - dynamic.virtual.account.transfer
        data:
          $ref: '#/components/schemas/VirtualAccountTransferData'
    VirtualAccountTransferData:
      type: object
      required:
        - amount
        - sender
        - recipient
        - reference
        - sessionId
        - status
      properties:
        amount:
          type: number
        sender:
          $ref: '#/components/schemas/VirtualAccountTransferSender'
        recipient:
          type: string
        reference:
          type: string
        sessionId:
          type: string
        status:
          type: string
          enum:
            - Successful
    VirtualAccountTransferSender:
      type: object
      required:
        - originatorBank
        - originatorName
        - originatorAccountNumber
      properties:
        originatorBank:
          type: string
        originatorName:
          type: string
        originatorAccountNumber:
          type: string

````